Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03480 Gameplay Major Always Oct 22, 2009, 14:14 Nov 10, 2013, 19:52
Tester JazzX View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver rohga.cpp
Version 0.134 Fixed in Version 0.150 Build Normal
Summary 03480: rohga, rohga1, rohga2, rohgah, rohgau : Game continues but no player is present under certain conditions.
Description If the most recently destroyed robot has a Leg type of C or D, and the resulting small soldier completes a level, the next level will have no player character visible and the game will scroll through to the end regardless.

If the most recently destroyed robot has a Leg type of A or B, and the resulting small soldier completes a level, the game continues as it should.

The bug appears to exist for Player Two in the same way as Player One (more research required).

The clone rom set wolffang does not have the bug described.
Steps To Reproduce - Choose a configuration with Leg type C or D, either pre-configured or each part selectable
- Finish the first level (it's a quick one), losing your main armor and flying as yourself before it finishes.
- When the next level begins, the game will continue - but you will not be present and the screen will continually scroll.
Additional Information RohgaBugTest.RAR

Nine experiments were conducted; each game with the correct conditions for failure was recorded as an inp file whether resulting in a pass or fail. So it's all there for you to watch. (I'm particularly proud of experiment 2 where I had to get past the second level boss with, effectively, my last life - Enjoy!)

My extensive findings are in the enclosed word document which should leave little doubt as to the cause.
Flags
Regression Version
Affected Sets / Systems rohga, rohga1, rohga2, rohgah, rohgau
Attached Files
rar file icon RohgaBugTest.rar (1,174,394 bytes) Oct 22, 2009, 14:14
Relationships
There are no relationship linked to this issue.
Notes
3
User avatar
No.05050
Haze
Senior Tester
Oct 22, 2009, 15:16
Sounds like either protection, or a bug in the game that they fixed in the version that doesn't suffer from the problem.

The game is heavily protected, and there are a lot of subtle behaviors in Data East's protection, so either is possible (even that they introduced a bug when protecting it!)
User avatar
No.09714
Haze
Senior Tester
Aug 8, 2013, 12:00
edited on: Aug 8, 2013, 12:03
protection emulation has been completely redone. this should be verified in 0.149u2, if it still happens then it's probably a game bug in that set.
User avatar
No.09968
Phil Bennett
Developer
Nov 10, 2013, 19:52
Confirmed fixed from 0.150 onward.